public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emacs/elixir-mode/
Date: Mon, 19 Jun 2023 18:29:40 +0000 (UTC)	[thread overview]
Message-ID: <1687199374.c07ca5fa6a63ce40f163e1bf7e5c8b74c573bb27.xgqt@gentoo> (raw)

commit:     c07ca5fa6a63ce40f163e1bf7e5c8b74c573bb27
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 19 18:25:55 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Jun 19 18:29:34 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c07ca5fa

app-emacs/elixir-mode: bump to 2.4.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/elixir-mode/Manifest                 |  1 +
 app-emacs/elixir-mode/elixir-mode-2.4.1.ebuild | 37 ++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/app-emacs/elixir-mode/Manifest b/app-emacs/elixir-mode/Manifest
index 886db9f4938e..83b2678f2f18 100644
--- a/app-emacs/elixir-mode/Manifest
+++ b/app-emacs/elixir-mode/Manifest
@@ -1 +1,2 @@
 DIST elixir-mode-2.3.2_p20220314.tar.gz 35711 BLAKE2B f4d712bce35f1056a2b2baf23077fff6204d572f215bf3afe31e26fc15691927afdbe880f942073e80dbe0ce3937dc619b24f89f821a6655f944a448db995744 SHA512 f4467459918db88408c2fa04fcb053fcdf2987c5907f0481034fa18bc3c7a805a7a01d071d7662f4d0db16aa02faa312f225b2b6f45587ccf06a616a1b6df485
+DIST elixir-mode-2.4.1.tar.gz 35948 BLAKE2B 0850da18c5897dce2c19fba5a41235c38b5f6841dcd08c3b9cd1a039d743c3c002f8066bdcb4484cfd99b63004329824d5f38321668aae3fa9d162a5145aac3e SHA512 df429d1cff45d9bcad0cd0d5cdd1776f1c419226881bacec1530750f0cb7418f14858af15176824cbc73916049ba091caaac486fce2c3f6d11ae9cb360ef6a87

diff --git a/app-emacs/elixir-mode/elixir-mode-2.4.1.ebuild b/app-emacs/elixir-mode/elixir-mode-2.4.1.ebuild
new file mode 100644
index 000000000000..cc7f9f3b5819
--- /dev/null
+++ b/app-emacs/elixir-mode/elixir-mode-2.4.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp
+
+DESCRIPTION="Emacs major mode for editing Elixir files"
+HOMEPAGE="https://github.com/elixir-editors/emacs-elixir/"
+
+if [[ ${PV} == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/elixir-editors/emacs-elixir.git"
+else
+	SRC_URI="https://github.com/elixir-editors/emacs-elixir/archive/v${PV}.tar.gz
+		-> ${P}.tar.gz"
+	S="${WORKDIR}"/emacs-elixir-${PV}
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+	test? ( dev-lang/elixir )
+"
+
+DOCS=( CHANGELOG.md README.md )
+SITEFILE="50${PN}-gentoo.el"
+
+elisp-enable-tests ert-runner
+
+src_test() {
+	ert-runner -L . -L tests --reporter ert+duration tests || die
+}


             reply	other threads:[~2023-06-19 18:29 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-06-19 18:29 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06 19:53 [gentoo-commits] repo/gentoo:master commit in: app-emacs/elixir-mode/ Maciej Barć
2024-10-06 19:53 Maciej Barć
2023-06-28  1:12 Maciej Barć
2023-06-28  1:12 Maciej Barć
2022-04-27  2:10 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1687199374.c07ca5fa6a63ce40f163e1bf7e5c8b74c573bb27.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox